Skip to main content
Resource Center/Network Resource/Policy Routing Operations
POSTPolicy Routing OperationsSince 3.6.0SynchronousAuth Required

CreatePolicyRouteTable

CreatePolicyRouteTable

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • vRouterUuidStringRequired

      The vRouter UUID.

    • numberIntegerRequired

      The table number.

    • descriptionString

      Optional. The detailed description of the resource.

    • resourceUuidString

      Optional. The resource UUID.

    • tagUuidsList

      Optional. The tag UUID list.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryPolicyRouteTableInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • tableNumberintRequired

      The table number.

    • descriptionStringRequired

      The detailed description of the resource.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • routesListRequired

      See routes.

      • uuidStringRequired

        The resource UUID.

      • tableUuidStringRequired

        The policy route table UUID.

      • destinationCidrStringRequired

        The destination CIDR address.

      • nextHopIpStringRequired

        The next hop IP address.

      • distanceintRequired

        The priority.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

POST/zstack/v1/policy-routes/tables

/zstack/v1/policy-routes/tables

Operation ID

CreatePolicyRouteTable

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/policy-routes/tables' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"vRouterUuid":"<vRouterUuid>","number":1,"description":"<description>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "8bd52616389d3ce7b5d74bc2424d3f8d", "tableNumber": 1.0, "description": "example-des", "routes": [ { "tableUuid": "2a7ba1261cef3cf19b587e493e479286", "destinationCidr": "192.168.1.0/24", "nextHopIp": "192.168.1.1", "distance": 1.0 } ] } }

Change History

This API has no change history records yet.

View all change history